package com.ruoyi.system.domain;

import com.alibaba.fastjson.annotation.JSONField;

import java.math.BigDecimal;

public class Salary1 {

    public Salary1() {
    }
    @JSONField(name = "序号")
    private Integer id;
    @JSONField(name = "单元号")
    private String unitNumber;
    @JSONField(name = "年月")
    private String yearAndMonth;
    @JSONField(name = "姓名")
    private String name;
    @JSONField(name = "姓名")
    private String userId;
    @JSONField(name = "岗位工资")
    private BigDecimal salary;
    @JSONField(name = "预支奖金")
    private BigDecimal advanceBonus;
    @JSONField(name = "交通费")
    private BigDecimal transportationFee;
    @JSONField(name = "通讯费")
    private BigDecimal communicationFee;
    @JSONField(name = "任职津贴")
    private BigDecimal onlineOfficeAllowance;
    @JSONField(name = "其它")
    private BigDecimal others;
    @JSONField(name = "奖励")
    private BigDecimal award;
    @JSONField(name = "罚款")
    private BigDecimal fine;
    @JSONField(name = "应发小计")
    private BigDecimal subtotal;
    @JSONField(name = "养老")
    private BigDecimal provideForAged;
    @JSONField(name = "医疗保险")
    private BigDecimal medicalInsurance;
    @JSONField(name = "失业保险")
    private BigDecimal unemploymentInsurance;
    @JSONField(name = "保险小计")
    private BigDecimal subtotalOnInsurance;
    @JSONField(name = "公积金")
    private BigDecimal provideFund;
    @JSONField(name = "当月个税")
    private BigDecimal taxThisMonth;
    @JSONField(name = "应扣合计")
    private BigDecimal deductTotal;
    @JSONField(name = "实付工资")
    private BigDecimal actualSalary;
    @JSONField(name = "备注")
    private String remark;
    @JSONField(name = "奖罚说明")
    private String explainInfo;
    @JSONField(name = "公司承担社保")
    private BigDecimal companySocialSecurity;
    @JSONField(name = "公司承担公积金")
    private BigDecimal companyProvideFund;
    @JSONField(name = "上传人")
    private String uploadPerson;
    @JSONField(name = "上传日期时间")
    private String uploadTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUnitNumber() {
        return unitNumber;
    }

    public void setUnitNumber(String unitNumber) {
        this.unitNumber = unitNumber;
    }

    public String getYearAndMonth() {
        return yearAndMonth;
    }

    public void setYearAndMonth(String yearAndMonth) {
        this.yearAndMonth = yearAndMonth;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public BigDecimal getSalary() {
        return salary;
    }

    public void setSalary(BigDecimal salary) {
        this.salary = salary;
    }

    public BigDecimal getAdvanceBonus() {
        return advanceBonus;
    }

    public void setAdvanceBonus(BigDecimal advanceBonus) {
        this.advanceBonus = advanceBonus;
    }

    public BigDecimal getTransportationFee() {
        return transportationFee;
    }

    public void setTransportationFee(BigDecimal transportationFee) {
        this.transportationFee = transportationFee;
    }

    public BigDecimal getCommunicationFee() {
        return communicationFee;
    }

    public void setCommunicationFee(BigDecimal communicationFee) {
        this.communicationFee = communicationFee;
    }

    public BigDecimal getOnlineOfficeAllowance() {
        return onlineOfficeAllowance;
    }

    public void setOnlineOfficeAllowance(BigDecimal onlineOfficeAllowance) {
        this.onlineOfficeAllowance = onlineOfficeAllowance;
    }

    public BigDecimal getOthers() {
        return others;
    }

    public void setOthers(BigDecimal others) {
        this.others = others;
    }

    public BigDecimal getAward() {
        return award;
    }

    public void setAward(BigDecimal award) {
        this.award = award;
    }

    public BigDecimal getFine() {
        return fine;
    }

    public void setFine(BigDecimal fine) {
        this.fine = fine;
    }

    public BigDecimal getSubtotal() {
        return subtotal;
    }

    public void setSubtotal(BigDecimal subtotal) {
        this.subtotal = subtotal;
    }

    public BigDecimal getProvideForAged() {
        return provideForAged;
    }

    public void setProvideForAged(BigDecimal provideForAged) {
        this.provideForAged = provideForAged;
    }

    public BigDecimal getMedicalInsurance() {
        return medicalInsurance;
    }

    public void setMedicalInsurance(BigDecimal medicalInsurance) {
        this.medicalInsurance = medicalInsurance;
    }

    public BigDecimal getUnemploymentInsurance() {
        return unemploymentInsurance;
    }

    public void setUnemploymentInsurance(BigDecimal unemploymentInsurance) {
        this.unemploymentInsurance = unemploymentInsurance;
    }

    public BigDecimal getSubtotalOnInsurance() {
        return subtotalOnInsurance;
    }

    public void setSubtotalOnInsurance(BigDecimal subtotalOnInsurance) {
        this.subtotalOnInsurance = subtotalOnInsurance;
    }

    public BigDecimal getProvideFund() {
        return provideFund;
    }

    public void setProvideFund(BigDecimal provideFund) {
        this.provideFund = provideFund;
    }

    public BigDecimal getTaxThisMonth() {
        return taxThisMonth;
    }

    public void setTaxThisMonth(BigDecimal taxThisMonth) {
        this.taxThisMonth = taxThisMonth;
    }

    public BigDecimal getDeductTotal() {
        return deductTotal;
    }

    public void setDeductTotal(BigDecimal deductTotal) {
        this.deductTotal = deductTotal;
    }

    public BigDecimal getActualSalary() {
        return actualSalary;
    }

    public void setActualSalary(BigDecimal actualSalary) {
        this.actualSalary = actualSalary;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getExplainInfo() {
        return explainInfo;
    }

    public void setExplainInfo(String explainInfo) {
        this.explainInfo = explainInfo;
    }

    public BigDecimal getCompanySocialSecurity() {
        return companySocialSecurity;
    }

    public void setCompanySocialSecurity(BigDecimal companySocialSecurity) {
        this.companySocialSecurity = companySocialSecurity;
    }

    public BigDecimal getCompanyProvideFund() {
        return companyProvideFund;
    }

    public void setCompanyProvideFund(BigDecimal companyProvideFund) {
        this.companyProvideFund = companyProvideFund;
    }

    public String getUploadPerson() {
        return uploadPerson;
    }

    public void setUploadPerson(String uploadPerson) {
        this.uploadPerson = uploadPerson;
    }

    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }

    @Override
    public String toString() {
        return "Salary1{" +
                "id=" + id +
                ", unitNumber='" + unitNumber + '\'' +
                ", yearAndMonth='" + yearAndMonth + '\'' +
                ", name='" + name + '\'' +
                ", salary=" + salary +
                ", advanceBonus=" + advanceBonus +
                ", transportationFee=" + transportationFee +
                ", communicationFee=" + communicationFee +
                ", onlineOfficeAllowance=" + onlineOfficeAllowance +
                ", others=" + others +
                ", award=" + award +
                ", fine=" + fine +
                ", subtotal=" + subtotal +
                ", provideForAged=" + provideForAged +
                ", medicalInsurance=" + medicalInsurance +
                ", unemploymentInsurance=" + unemploymentInsurance +
                ", subtotalOnInsurance=" + subtotalOnInsurance +
                ", provideFund=" + provideFund +
                ", taxThisMonth=" + taxThisMonth +
                ", deductTotal=" + deductTotal +
                ", actualSalary=" + actualSalary +
                ", remark='" + remark + '\'' +
                ", explainInfo='" + explainInfo + '\'' +
                ", companySocialSecurity=" + companySocialSecurity +
                ", companyProvideFund=" + companyProvideFund +
                ", uploadPerson='" + uploadPerson + '\'' +
                ", uploadTime='" + uploadTime + '\'' +
                '}';
    }
}
